Page MenuHomeFreeBSD

aw_mmc: Add support to card detection
ClosedPublic

Authored by manu on Jan 19 2020, 7:55 PM.

Details

Summary

Use the mmc_helper functions for allwinner mmc controller driver.

Test Plan

Tested on different allwinner SoC.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

manu created this revision.Jan 19 2020, 7:55 PM
manu updated this revision to Diff 69013.Feb 29 2020, 9:26 PM

Copy with changes of mmc_fdt_helpers

kibab added a subscriber: kibab.Mar 12 2020, 8:36 PM
This revision was not accepted when it landed; it landed in state Needs Review.Apr 14 2020, 4:34 PM
This revision was automatically updated to reflect the committed changes.